Bug 439588 - Review Request: ruby-aws - Ruby interface to Amazon Web Services
Review Request: ruby-aws - Ruby interface to Amazon Web Services
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 07:37 EDT by Mamoru TASAKA
Modified: 2008-04-04 01:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 01:39:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-03-29 07:37:11 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-aws/ruby-aws.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-aws/ruby-aws-0.0.2-1.tmp.src.rpm

Description: 
Ruby/AWS is the follow-up to Ruby/Amazon. See the NOTES file for more
information.

Ruby/AWS is a Ruby language library that allows the programmer to retrieve
information from the popular Amazon Web site via Amazon Web Services. In
addition to the original amazon.com site, amazon.co.uk, amazon.de, amazon.fr,
amazon.ca and amazon.co.jp are also supported.

This library supports significant functionality in the AWS v4 API.

koji build: will do (currently koji seems down...)
Comment 1 Mamoru TASAKA 2008-03-29 07:56:51 EDT
Now koji is on.

dist-f9 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=537333
Comment 2 Debarshi Ray 2008-04-03 00:35:06 EDT
MUST Items: 

OK - rpmlint is clean on SRPM, RPM and installed package
OK - is a Ruby library and follows Ruby Naming Guidelines
OK - spec file is named as %{name}.spec

OK - package meets Packaging Guidelines and Ruby Packaging Guidelines
    + Are the following needed even after explicit requirements are placed on
the ABI?
      BuildRequires:  ruby
      Requires:  ruby

OK - license meets Licensing Guidelines
OK - License field meets actual license
OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present
OK - macros used consistently
OK - contains code and permissable content

OK - -doc is provided
    + Is the -doc sub-package really needed? Can't we have the examples in the
main package itself? The size of the main package is 29K and that of -doc is
6.1K. After installation the -doc package adds only 40K.

OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
    + Upstream could be requested to clarify the version of GPL.

xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets not needed

OK - subpackage need not require base package
    + If it is decided to have a separate -doc package, its presence can be
mentioned in the description of the base package.

OK - no pkgconfig files
OK - no file dependencies

+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+
Comment 3 Mamoru TASAKA 2008-04-03 02:05:13 EDT
Thank you!

CVS request:

New Package CVS Request
=======================
Package Name:      ruby-aws
Short Description: Ruby interface to Amazon Web Services
Owners:             mtasaka
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-03 16:21:10 EDT
cvs done.
Comment 5 Mamoru TASAKA 2008-04-04 01:39:30 EDT
Rebuilt on all branches, requested on bodhi to push, closing.

Thank you for the review and CVS branching!

Note You need to log in before you can comment on or make changes to this bug.